## discodos 1.0~rc2

=== requirements.txt ===
atomicwrites>=1.2.1
attrs>=18.2.0
certifi>=2018.11.29
chardet>=3.0.4
-e git+https://github.com/joalla/discogs_client@v2.3.1#egg=python3-discogs-client
idna>=2.8
more-itertools>=5.0.0
oauthlib>=3.0.1
pluggy>=0.8.1
py>=1.7.0
pytest>=4.1.1
PyYAML>=5.2
requests>=2.21.0
six>=1.12.0
tabulate>=0.8.6
urllib3>=1.24.1
dropbox>=9.4.0
musicbrainzngs>=0.7.1
pillow>=7.0.0
webdavclient3==3.14.5

=== debian/changelog ===
discodos (1.0~rc2-2ubuntu0.22.04.1) jammy; urgency=medium

  * rename script 'disco' -> 'discodos' to fix install failure. (LP: #2039074)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 24 Jun 2024 21:44:17 +0100

discodos (1.0~rc2-2) unstable; urgency=low

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Repository.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Sandro Tosi <morph@debian.org>  Tue, 14 Sep 2021 23:40:11 -0400

discodos (1.0~rc2-1) unstable; urgency=medium

  * Initial release (Closes: #960698)

 -- Johannes Tiefenbacher <jt@peek-a-boo.at>  Tue, 26 May 2020 00:02:00 +0200

=== debian/control ===
Source: discodos
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Johannes Tiefenbacher <jt@peek-a-boo.at>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-pbr,
 python3-setuptools,
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/python-team/packages/discodos.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/discodos
Homepage: https://github.com/joj0/discodos

Package: discodos
Architecture: all
Depends:
 python3-dateutil,
 python3-discogs-client,
 python3-dropbox,
 python3-musicbrainzngs,
 python3-pkg-resources,
 python3-tabulate,
 python3-webdavclient,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Description: remember and analyze your DJ sets based on Discogs and AcousticBrainz data
 DiscoDOS helps a DJ remember and analyze what they played in their sets, or
 what they could possibly play in the future. It's based on data pulled from
 a users Discogs record collection. Tracks can be organized into playlists and
 mix-transitions rated. Additionally the collection can be linked to MusicBrainz
 and AcousticBrainz, thus further information (like musical key and BPM) is
 made available to the user.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=discodos

%:
	dh $@ --with python3 --buildsystem=pybuild


override_dh_auto_test:
	echo "Do nothing."

execute_after_dh_auto_install:
	# 966115 /usr/bin/disco is already shipped by mono-devel
	mv -v debian/discodos/usr/bin/disco debian/discodos/usr/bin/discodos
	mkdir -p debian/discodos/usr/share/man/man1/
	cp -v man/disco.1 debian/discodos/usr/share/man/man1/discodos.1

# If you need to rebuild the Sphinx documentation
# Add spinxdoc to the dh --with line
#override_dh_auto_build:
#	dh_auto_build
#	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml        docs/ build/html # HTML generator
#	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bman        docs/ build/man # Manpage generator

## discodos 1.1

=== Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?=
SPHINXBUILD   ?= sphinx-build
SOURCEDIR     = sphinx/source
BUILDDIR      = sphinx/build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== requirements.txt ===
atomicwrites>=1.2.1
attrs>=18.2.0
certifi>=2020.12.5
chardet>=3.0.4
python3-discogs-client>=2.3.10
idna>=2.8
more-itertools>=5.0.0
oauthlib>=3.0.1
py>=1.7.0
pytest>=4.1.1
PyYAML>=5.2
requests
tabulate>=0.8.6
urllib3>=1.24.1
dropbox>=9.4.0
musicbrainzngs>=0.7.1
pillow>=7.0.0
webdavclient3==3.14.5

=== debian/changelog ===
discodos (1.1-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 1.1
  * add gbp.conf
  * rename script 'disco' -> 'discodos' (Closes: #966115)
    (LP: #1978724, LP: #1928414)

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database.
  * Update standards version to 4.6.2, no changes needed.

 -- Alexandre Detiste <tchet@debian.org>  Mon, 22 Jan 2024 22:57:34 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: discodos
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Johannes Tiefenbacher <jt@peek-a-boo.at>,
 Rules-Requires-Root: no
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-pbr,
  python3-setuptools,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/python-team/packages/discodos.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/discodos
 Homepage: https://github.com/joj0/discodos

=== debian/watch ===
version=4
opts="dversionmangle=s/\~rc/_rc/, filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/discodos-$1\.tar\.gz/" https://github.com/joj0/discodos/tags .*/v?(\d\S+)\.tar\.gz

## discodos 2.0

=== requirements.txt ===
--- 
+++ 
@@ -16,3 +16,5 @@
 musicbrainzngs>=0.7.1
 pillow>=7.0.0
 webdavclient3==3.14.5
+click>=8.0
+click-option-group>=0.5.2

=== debian/changelog ===
discodos (2.0-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 2.0
  * Drop dependency on python3-pkg-resources (Closes: #1083364)
  * Patch-out stale "cgi" import (Closes: #1084615)
  * Use dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Mon, 07 Oct 2024 19:18:08 +0200

discodos (1.1-2) unstable; urgency=medium

  * Team Upload
  * do not generate a useless runtime dependency on python3-pytest

 -- Alexandre Detiste <tchet@debian.org>  Fri, 26 Apr 2024 13:23:42 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  python3-all,
  python3-pbr,
  python3-setuptools,
@@ -23,7 +23,6 @@
  python3-discogs-client,
  python3-dropbox,
  python3-musicbrainzngs,
- python3-pkg-resources,
  python3-tabulate,
  python3-webdavclient,
  python3-yaml,

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 export PYBUILD_NAME=discodos
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 
 override_dh_auto_test:
